Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812841 - SELinux is preventing modprobe from 'getattr' accesses on the file /usr/lib/modules/5.5.7-100.fc30.x86_64/modules.softdep.
Summary: SELinux is preventing modprobe from 'getattr' accesses on the file /usr/lib/m...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 30
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:df5709c5f4107fcfd3f99f1fc0d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-12 10:27 UTC by Antenore Gatta
Modified: 2020-05-26 18:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:26:26 UTC
Type: ---


Attachments (Terms of Use)
salert output (25.70 KB, text/plain)
2020-03-12 13:05 UTC, Antenore Gatta
no flags Details

Description Antenore Gatta 2020-03-12 10:27:08 UTC
Description of problem:
I've received this alert:

SELinux is preventing modprobe from getattr access on the file /usr/lib/modules/5.5.7-100.fc30.x86_64/modules.softdep.

****  Plugin catchall (100. confidence) suggests   **************************

If you believe that modprobe should be allowed getattr access on the modules.softdep file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'modprobe' --raw | audit2allow -M my-modprobe
# semodule -X 300 -i my-modprobe.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:modules_dep_t:s0
Target Objects                /usr/lib/modules/5.5.7-100.fc30.x86_64/modules.sof
                              tdep [ file ]
Source                        modprobe
Source Path                   modprobe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-56.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux bigmom 5.5.7-100.fc30.x86_64 #1 SMP Fri Feb
                              28 17:32:51 UTC 2020 x86_64 x86_64
Alert Count                   1
First Seen                    2020-03-06 15:08:06 CET
Last Seen                     2020-03-06 15:08:06 CET
Local ID                      8db117a2-2c6b-46b5-a2c3-6baa6eb43e99

Raw Audit Messages
type=AVC msg=audit(1583503686.960:268): avc:  denied  { getattr } for  pid=3259 comm="modprobe" path="/usr/lib/modules/5.5.7-100.fc30.x86_64/modules.softdep" dev="dm-0" ino=5243141 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:modules_dep_t:s0 tclass=file permissive=1


Hash: modprobe,xdm_t,modules_dep_t,file,getattr
SELinux is preventing modprobe from 'getattr' accesses on the file /usr/lib/modules/5.5.7-100.fc30.x86_64/modules.softdep.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that modprobe should be allowed getattr access on the modules.softdep file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'modprobe' --raw | audit2allow -M my-modprobe
# semodule -X 300 -i my-modprobe.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:modules_dep_t:s0
Target Objects                /usr/lib/modules/5.5.7-100.fc30.x86_64/modules.sof
                              tdep [ file ]
Source                        modprobe
Source Path                   modprobe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-56.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 5.5.7-100.fc30.x86_64 #1 SMP Fri
                              Feb 28 17:32:51 UTC 2020 x86_64 x86_64
Alert Count                   1
First Seen                    2020-03-06 15:08:06 CET
Last Seen                     2020-03-06 15:08:06 CET
Local ID                      8db117a2-2c6b-46b5-a2c3-6baa6eb43e99

Raw Audit Messages
type=AVC msg=audit(1583503686.960:268): avc:  denied  { getattr } for  pid=3259 comm="modprobe" path="/usr/lib/modules/5.5.7-100.fc30.x86_64/modules.softdep" dev="dm-0" ino=5243141 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:modules_dep_t:s0 tclass=file permissive=1


Hash: modprobe,xdm_t,modules_dep_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.14.3-56.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.12.0
hashmarkername: setroubleshoot
kernel:         5.5.7-100.fc30.x86_64
type:           libreport

Comment 1 Zdenek Pytela 2020-03-12 11:56:40 UTC
Antenore,

Do you know at which moment this denial appears?
Are you aware of any custom kernel modules on your system?
Are there any other denials audited?

Comment 2 Antenore Gatta 2020-03-12 13:04:31 UTC
Thanks for your quick feedback.

I don't know exactly, I've many denials per day (4/5 at least while working with many different softwares)

I'm enclosing (sealert -l '*') the other denials, I also had others previously but didn't submit a bug report, unfortunately I didn't keep any traces about them (if you know how to gather those info…)

These are the modules I've

$ ls /etc/modprobe.d
blacklist.conf  firewalld-sysctls.conf  kvm.conf  lockd.conf  mlx4.conf  nvdimm-security.conf  psmouse.conf  truescale.conf

$ grep -v '^#' /etc/modprobe.d/*conf
/etc/modprobe.d/firewalld-sysctls.conf:install nf_conntrack /sbin/modprobe --ignore-install nf_conntrack $CMDLINE_OPTS && /sbin/sysctl --quiet --pattern 'net[.]netfilter[.]nf_conntrack.*' --system
/etc/modprobe.d/kvm.conf:
/etc/modprobe.d/kvm.conf:
/etc/modprobe.d/lockd.conf:
/etc/modprobe.d/nvdimm-security.conf:install libnvdimm /usr/bin/ndctl load-keys ; /sbin/modprobe --ignore-install libnvdimm $CMDLINE_OPTS
/etc/modprobe.d/psmouse.conf:options psmouse synaptics_intertouch=1
/etc/modprobe.d/truescale.conf:install ib_qib modprobe -i ib_qib $CMDLINE_OPTS && /usr/libexec/truescale-serdes.cmds start

Comment 3 Antenore Gatta 2020-03-12 13:05:30 UTC
Created attachment 1669647 [details]
salert output

Comment 4 Ben Cotton 2020-04-30 20:21:22 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 18:26:26 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.